<?php
namespace admin\view;

class Page {

  function show()
  {
    global $config;

    $tpl = new \Savant3;
    $tpl -> _langs        = \System::getLangs();
    $tpl -> _current_lang = \System::getSessionVar( 'current_lang' );
    $tpl -> _content      = \admin\controls\Page::getContent();
    $tpl -> _p            = \System::getSessionVar( 'page_type' );
    $tpl -> _site_title   = 'www.' . $config['page'];
    if ( \System::getSessionVar( 'alert' ) )
    {
      $tpl -> _alert = \System::getSessionVar( 'alert' );
      \System::setAlert( '' );
    }
    return $tpl -> fetch( 'templates/page.php' );
  }
}
?>
